<template>
  <ul
    class="entities-type-filter">
    <template v-for="(type, key) in types">
      <li
        :key="`tab-${key}`"
        class="entities-type-filter-tab">
        <slot name="tab-name">
          <button
            @click="toggleFilter(key)"
            class="buttonTab"
            :class="{active: type.active}">
            <span>
              <img
                svg-inline
                class="buttonTab-icon"
                :fill="key === 'originals' ? '#14A41A' : '#F75A52'"
                src="~/assets/svg/redesign/map-marker.svg">
              <span class="buttonTab-text">{{ type.name }}</span>
            </span>
            <span class="show-icon">
              <img
                svg-inline
                :fill="type.active ? '' : '#DEDEDE'"
                src="~/assets/svg/redesign/eye.svg">
            </span>
          </button>
        </slot>
      </li>
    </template>
  </ul>
</template>

<script>
import isMobileMixin from '~/assets/js/mixins/is-mobile';

export default {
  name: 'AppEntitiesTypeFilter',
  mixins: [isMobileMixin],
  props: {
    types: {
      type: Object,
      default() { return {}; },
    },
  },
  methods: {
    toggleFilter(type) {
      this.$emit('toggle-filter', type);
    },
  },
};
</script>

<style lang="postcss">
  .entities-type-filter {
    li {
      &:last-child {
        .buttonTab {
          padding: 0 .5rem .5rem .5rem;
        }
      }
    }

    .buttonTab {
      display: flex;
      justify-content: space-between;
      align-items: center;
      width: 13.75rem;
      height: 2.25rem;
      padding: .5rem;
      background-color: rgba(255, 255, 255, .8);
      border: none;
      outline: none;

      span {
        height: 100%;
        display: flex;
        align-items: center;
        font-size: .875rem;

        .buttonTab-icon {
          margin-right: .375rem;
          width: 1.25rem;
          height: 1.75rem;
        }
      }

      &.active {
        .show-icon {
          svg {
            fill: #000000;
          }
        }
      }

      .show-icon {
        justify-self: flex-end;

        svg {
          fill: var(--bg-dark-grey);
        }
      }
    }

    @media screen and (max-width: 980px) {
      li {
      &:last-child {
        .buttonTab {
          padding: 1rem;
        }
      }
    }

      .buttonTab {
        width: 3.75rem;
        height: 3.75rem;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: .25rem;
        opacity: 0.8;
        background-color: var(--bg-dark-grey);
        margin-bottom: .5rem;

        span {
          &.buttonTab-text {
            display: none;
          }

          .buttonTab-icon {
            margin-right: 0;
            width: 1.25rem;
            height: 1.875rem;
          }
        }

        .show-icon {
          display: none;
        }

        &.active {
          background-color: rgba(255, 255, 255, .8);
          opacity: 1;
        }
      }
    }
  }
</style>
